% 22.3MB1 Fall 01
% Yvan Petillot
%Code to generate movie of
%2-D space and time varying vector field (spactimvec)

close all; clear;
x = -2:.2:2; y = -1:.2:1;    
[xx,yy] = meshgrid(x,y);     
 
% Set graphics parameters.
axis([-2 2 -2 2]);
hold on;
title('2-D Space and Time-varying Vector');
xlabel('x');
ylabel('y');



% Generate the movie.
delt = 0.1;
nframes = 24;
M = moviein(nframes);
for k = 1:nframes,
    % Coefficients
    t = k*delt;
    s = xx.*exp(-t.*xx.^2-t.*yy.^2);
   [px,py] = gradient(s,.2,.2);

    
   cla;
   quiver(x,y,px,py,2);
   
    % Capture the frame
    M(:,k) = getframe;
 end;
hold off

% save the movie
save spactimvecmovie M;
movie(M);
