function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',7);
set(ax,'DataAspectRatio',[1 1 1]);
set(ax,'PlotBoxAspectRatio',[1.5 1 1]);
set(ax,'XLim',[-1.5 1.5]);
set(ax,'YLim',[-1 1]);
set(ax,'XTickMode','auto');
set(ax,'YTickMode','auto');

% Geometry description:
pderect([-1.4 1.4 0.9 -0.9],'Air');
pdeellip(0.05,0,0.03893138845379285,0.04576659038901593,...
0,'Line1');
pdepoly([ 0.1007670899530091,...
 0.1007670899530091,...
 0.5587834247035124,...
 0.5587834247035124,...
 0.343515747370776,...
],...
[ 0.09382151029748276,...
 -0.3043478260869563,...
 -0.3043478260869563,...
 0.1075514874141876,...
 0.3867276887871853,...
],...
 'House');
pdeellip(-0.05,0,0.03893138845379285,0.04576659038901593,...
0,'Line2');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','Air-Line1-Line2+House')

% Boundary conditions:
pdetool('changemode',0)
pdesetbd(17,...
'dir',...
1,...
'1',...
'-1000')
pdesetbd(16,...
'dir',...
1,...
'1',...
'-1000')
pdesetbd(15,...
'dir',...
1,...
'1',...
'-1000')
pdesetbd(14,...
'dir',...
1,...
'1',...
'-1000')
pdesetbd(13,...
'dir',...
1,...
'1',...
'1000')
pdesetbd(12,...
'dir',...
1,...
'1',...
'1000')
pdesetbd(11,...
'dir',...
1,...
'1',...
'1000')
pdesetbd(10,...
'dir',...
1,...
'1',...
'1000')
pdesetbd(8,...
'dir',...
1,...
'1',...
'0')
pdesetbd(7,...
'dir',...
1,...
'1',...
'0')
pdesetbd(2,...
'dir',...
1,...
'1',...
'0')
pdesetbd(1,...
'dir',...
1,...
'1',...
'0')

% Mesh generation:
setuprop(pde_fig,'Hgrad',1.3);
setuprop(pde_fig,'refinemethod','regular');
pdetool('initmesh')

% PDE coefficients:
pdeseteq(1,...
'1./(4*pi*1e-7)!1./(4*pi*1e-7)',...
'sqrt(-1)*(2*pi*60).*(0)-(2*pi*60).*(2*pi*60).*(8.854e-12)!sqrt(-1)*(2*pi*60).*(0)-(2*pi*60).*(2*pi*60).*(8.854e-12)',...
'0.0!0.0',...
'1.0!1.0',...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setuprop(pde_fig,'currparam',...
['2*pi*60!2*pi*60    ';...
'4*pi*1e-7!4*pi*1e-7';...
'0!0                ';...
'8.854e-12!8.854e-12'])

% Solve parameters:
setuprop(pde_fig,'solveparam',...
str2mat('0','1068','10','pdeadworst',...
'0.5','longest','0','1E-4','','fixed','Inf'))

% Plotflags and user data strings:
setuprop(pde_fig,'plotflags',[1 1 1 1 1 1 1 1 0 0 0 1 1 1 0 0 0 1]);
setuprop(pde_fig,'colstring','');
setuprop(pde_fig,'arrowstring','');
setuprop(pde_fig,'deformstring','');
setuprop(pde_fig,'heightstring','');

% Solve PDE:
pdetool('solve')
